package com.joe.print.mvp.ui.adapter;

import androidx.annotation.Nullable;

import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.joe.print.R;
import com.gingersoft.gsa.cloud.database.bean.PrintModelBean;

import java.util.List;

public class PrintModelAdapter extends BaseQuickAdapter<PrintModelBean, BaseViewHolder> {

    public PrintModelAdapter(@Nullable List<PrintModelBean> data) {
        super(R.layout.item_dialog_select_print_model, data);
    }

    @Override
    protected void convert(BaseViewHolder helper, PrintModelBean item) {
        helper.setText(R.id.tv_item_print_model_name, item.getPrinterName() + "\u3000" + item.getModel());
    }

}
